# Issue ARC-10 token

**HTTP API:**

```http
wallet/createassetissue
Description: Issue a token
demo: curl -X POST  http://172.104.51.182:16667/wallet/createassetissue -d '{ 
{ 
"owner_address": "ARSrWnjsK5ePhAVQGHr2JSFdKSjE3vKwE7", 
"name": "0x68756e675f7772633130", 
"abbr": "0x7772635f68756e676269656e", 
"total_supply": 300, "trx_num": 1, 
"num": 1, 
"start_time": 1639708246000, 
"end_time": 1639967446000, 
"description": "63726561746520617373657420627920415049", 
"url": "6578706c6f7265722d6465762e77656c7363616e2e696f", 
"free_asset_net_limit": 10000, 
"public_free_asset_net_limit": 10000, 
"frozen_supply": { "frozen_amount": 100, "frozen_days": 3 }, 
"visible":true }
}'
Parameter owner_address: Owner address, default hexString  
Parameter name: Token name, default hexString    
Parameter abbr: Token name abbreviation, default hexString  
Parameter total_supply: Token total supply    
Parameter num: Define the price by the ratio of trx_num/num   
Parameter start_time: ICO start time
Parameter end_time: ICO end time    
Parameter description: Token description, default hexString
Parameter url: Token official website url, default hexString   
Parameter free_asset_net_limit: The free bandwidth limit of each token holder 
Parameter public_free_asset_net_limit: The total free bandwidth limit of the Token
Parameter frozen_supply: Token staked supply  
Parameter permission_id: Optional, for multi-signature use    
Return: Transaction object

```

Please follow the instructions below to complete this transaction:

1. Tip: "Please confirm and enter your permission id, if input y or Y means default 0, other non-numeric characters will cancel transaction.", Enter "y" or "Y" to confirm the transaction;
2. Tip: "lease choose your key for sign. ...... Please choose between 1 and 2", select the serial number of the sign account;
3. Tip: "Please input your password.", Enter your local password;
4. Tip: "AssetIssue TestToken successful !!", which indicates that successfully issued ARC10 tokens.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.aixchain.com/aixc-and-arc-token/arc-10/issue-arc-10-token.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
